---

- hosts: lists.podman.io
  vars:
    data_dir: "{{ inventory_dir }}/data/tenants/podman"
  tasks:
    - name: "Create swap"
      include_role:
        name: swap_file
      vars:
        size: 1G
        path: /var/swap
    - name: "Install Mailing-lists"
      include_role:
        name: mailing_lists_server
      vars:
        display_name: "Podman List Archives"
        webui_vhost: lists.podman.io
        domain: podman.io
        # caught by underlying 'postfix' role
        myorigin: podman.io
        admin_users:
          - duck
          - misc
          - podman
          - TomSweeneyRedHat
          - mheon
        mail_aliases:
          root: "{{ ['root'] + comminfra_tech_emails }}"
          listmaster: root
          maintainer: "{{ podman_maintainer_emails }}"
        use_simple_tls: True
        whitelist_clients:
          - redhat.com
        with_fedora_auth: True
        # see comment about lists.buildah.io below
        multi_domains: False
    # lists.buildah.io is a mail domain but Podman people prefer to
    # have a single web domain with all the lists and a single auth
    # system
    - name: "Create vhost for lists.buildah.io"
      include_role:
        name: httpd
        tasks_from: vhost
      vars:
        website_domain: lists.buildah.io
        redirect: https://lists.podman.io/
        use_letsencrypt: True
        force_tls: True
        content_security_policy: "default-src 'none'; img-src 'self' https://hosted.weblate.org; style-src 'self' 'unsafe-inline'"

    # needed for the 'synchronize' module
    - name: "Install rsync"
      package:
        name: rsync
        state: present
    - name: "Install Mail Templates"
      synchronize:
        src: "{{ data_dir }}/mail_templates/{{ item }}/"
        dest: "/var/lib/mailman3/templates/{{ item }}/"
        owner: no
        group: no
        delete: yes
      loop:
        #- site
        - lists
      notify: restart mailman3
  tags: mailinglists

